Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
289 Views

Silent CLI install still does GUI checks

Hi,
I'm trying to install Advisor in silent mode inside a Docker container. However, the installation is interrupted by "Missing critical prerequisite" needed for the GUI-components. Is it possible to fix this issue somehow?

The command I run: ./install.sh --silent --accept_eula --install_dir /opt/intel/advisor_2020 --components intel-advisor-2020-cli-common__noarch
Operating system: Ubuntu 18.04

The complete output:

dpkg-query: no packages found matching libgtk2.*common
dpkg-query: no packages found matching libpango-1*
cat: /proc/asound/version: No such file or directory
dpkg-query: no packages found matching libasound2*
dpkg-query: no packages found matching xserver-xorg
There are one or more critical unresolved issues which prevent setup from
continuing.  Fix them and run the setup program again.
--------------------------------------------------------------------------------
Missing critical prerequisite
-- GTK2 library is not found. 'Graphical user interface' component(s) cannot be
installed.
The install program cannot detect a GTK2 library on the system. The graphical
user interface of the product requires GTK2 version 2.4 or higher.

To install GTK2 library, execute one of the following commands specific to your
operating system:
- Ubuntu / Debian:
sudo apt-get install libgtk2.0
- Red Hat Enterprise Linux / CentOS:
sudo yum install gtk2
- Fedora:
sudo dnf install gtk2
- SUSE Linux Enterprise Server:
sudo zypper install gtk2

Otherwise, go back and unselect 'Graphical user interface' component(s).
-- Pango library is not found. 'Graphical user interface' component(s) cannot be
installed.
The install program cannot detect the system pango library required by the
graphical user interface of the product.

To install pango library, execute one of the following commands specific to your
operating system:
- Ubuntu / Debian:
sudo apt-get install libpango-1.0-0
- Red Hat Enterprise Linux / CentOS:
sudo yum install pango
- Fedora:
sudo dnf install pango
- SUSE Linux Enterprise Server:
sudo zypper install pango

Otherwise, go back and unselect 'Graphical user interface' component(s).
-- ALSA library is not found. 'Graphical user interface' component(s) cannot be
installed.
The install program cannot detect the Advanced Linux Sound Architecture system
library (libasound) required by the graphical user interface of the product.

To install ALSA library, execute one of the following commands specific to your
operating system:
- Ubuntu / Debian:
sudo apt-get install libasound2
- Red Hat Enterprise Linux / CentOS:
sudo yum install alsa-lib
- Fedora:
sudo dnf install alsa-lib
- SUSE Linux Enterprise Server:
sudo zypper install libasound2
- Clear Linux:
sudo swupd bundle-add devpkg-alsa-lib

Otherwise, go back and unselect 'Graphical user interface' component(s).
-- Xorg X11 server is not found. 'Graphical user interface' component(s) cannot
be installed.
The install program cannot detect the Xorg X11 server required by the graphical
user interface of the product. Contact your system administrator to install the
package for the  architecture or install the product on a compliant system.
Otherwise, go back and unselect 'Graphical user interface' component(s).
--------------------------------------------------------------------------------

 

0 Kudos
2 Replies
Highlighted
289 Views

Sebastian, thank you for your feedback!

Issue will be fixed and released in PSXE Update 2 in June.

Meanwhile you could use a workaround: copy qt folder from  /pset/32e/ to  /CLI_install/pset/32e/

0 Kudos
Highlighted
289 Views

Now, as a workaround, you can use Intel oneAPI Base Toolkit for Linux https://software.intel.com/content/www/us/en/develop/tools/oneapi/download.html#basekit

in silent mode or docker file

https://hub.docker.com/r/intel/oneapi-basekit

0 Kudos